#!/bin/bash  
N=3
for datafile in `ls tagdata/*.train.txt`
do   
    tag=`echo $datafile | grep -oP [0-9A-Z_]+`
    classdatafile=tagdata/$tag.train.class.txt
    replace-words-with-classes classes=wizard.class.defs $datafile > $classdatafile
    ngram-count -text $classdatafile -lm taglm/$tag.lm -order $N -wbdiscount1 -wbdiscount2 -wbdiscount3 #-gt1min 1 -gt2min 1 -gt3min 1 #
    ngram -lm taglm/$tag.lm  -write-lm taglm/$tag.expanded.lm -order $N -classes wizard.class.defs -expand-classes $N -expand-exact $N -vocab wizard.wlist            
done
